• Introducing XDA Computing: Discussion zones for Hardware, Software, and more!    Check it out!

[Xposed][MODULE][5.0+] UnrestrictedGetTasks

Search This thread

cokesucker

Senior Member
Oct 2, 2014
607
288
Request @pyler would it be possible to create a module like this for magisk to run in Nougat? Would be great if you could make it work
 

Hadi99

Senior Member
Jun 16, 2015
305
95
Well, in every app I use list of running processes is empty, even with this module on. Do I need to perform some extra actions to be able to see those list?
Thank ypu in advance!
No you don't need to do anything other than enabling the module. I was able to view the recent apps in legacy app switchers (ex: switchers from playstore) ( designed for android 4.4 or below) after enabling this module, previously it couldn't detect the list of running apps. I am running Android 7.0 with LG UI on top. (Magisk systemless Xposed 88.2)
 

Borchuck

Senior Member
Jul 8, 2014
257
38
No you don't need to do anything other than enabling the module. I was able to view the recent apps in legacy app switchers (ex: switchers from playstore) ( designed for android 4.4 or below) after enabling this module, previously it couldn't detect the list of running apps. I am running Android 7.0 with LG UI on top. (Magisk systemless Xposed 88.2)

Thank you so much for your time.
I have app called MyAndroidTools and in the Process tab there is nothing. I'm on stock, rooted 7.1.1. Bootloader is unlocked if it make any difference.
 

Hadi99

Senior Member
Jun 16, 2015
305
95
Thank you so much for your time.
I have app called MyAndroidTools and in the Process tab there is nothing. I'm on stock, rooted 7.1.1. Bootloader is unlocked if it make any difference.
I have it too. Apparently MyAndroidTools doesn't recognize it. Try using switchers from the play store. If switchr shows you the list of recent app, then this module is working.

Sent from my LG-H850 using Tapatalk
 
  • Like
Reactions: Borchuck

Borchuck

Senior Member
Jul 8, 2014
257
38
I have it too. Apparently MyAndroidTools doesn't recognize it. Try using switchers from the play store. If switchr shows you the list of recent app, then this module is working.

Sent from my LG-H850 using Tapatalk

There is also one other great app I would love to use on Nougat, it is called Autokiller Memory Optimizer. Also Automagic using get_task permission for trigger condition. Is there any method to bring back it's functionality?
 

Borchuck

Senior Member
Jul 8, 2014
257
38
This is all I get in Memory Optimiazer:
 

Attachments

  • Screenshot_20171117-211225.png
    Screenshot_20171117-211225.png
    64.6 KB · Views: 420

The Analog Kid

Senior Member
Dec 5, 2013
841
166
Thankfully it keeps working on Oreo 8.0 (August 1, 2018 security patch) because it's required for "App Settings" module, which also keeps working in 8.0... although I don't have the guts to test on Oreo system apps. Sorry.

Sent from my Z2 Play using XDA Labs
 

Top Liked Posts

  • There are no posts matching your filters.
  • 31
    Disable restricting Android API to get recent tasks in Lollipop and newer. This restriction causes that some apps (e.g. Greenify) don't work as they should, since Android now returns nothing or useless info when they want to get recent tasks. This module should fix it as it was before.


    http://repo.xposed.info/module/com.pyler.unrestrictedgettasks
    4
    Thank you! Switchr now working on Lollipop with this!
    3
    Hi,

    May I ask what you mean by giving the example of Greenify? What exactly is the shortcoming with Greenify in L in contrast to pre-L?
    I was following their change logs and it seems to me that there is nothing Greenify nowadays couldn't do in L. What am I missing?

    I am just asking, because I am not sure why and whether I should install this module as a Greenify (beta) user.
    Wouldn't it be easier to introduce your fix in their own code?
    3
    PackageUsageStats is not same as getRecentTasks. I doubt you can get same info from PUS as in getRecentTasks in pre-LP.
    2
    Sure, it works on any Xposed build for 5.0,5.1.